1

[alpine-aports] [PATCH] testing/termrec: new aport

ScrumpyJack
Details
Message ID
<alpine.LNX.2.20.1509140850400.7330@st.ilet.to>
Sender timestamp
1442220702
DKIM signature
missing
Download raw message
Patch: +42 -0
termrec is a program for recording "videos" of terminal output
http://angband.pl/termrec.html
---
 testing/termrec/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/termrec/APKBUILD

diff --git a/testing/termrec/APKBUILD b/testing/termrec/APKBUILD
new file mode 100644
index 0000000..2f26a58
--- /dev/null
+++ b/testing/termrec/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=termrec
+pkgver=0.17
+pkgrel=0
+pkgdesc="termrec is a program for recording "videos" of terminal output"
+url="http://angband.pl/termrec.html"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="zlib-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://prdownloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.xz"
+options="libtool"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+        make || return 1
+     }
+
+package() {
+	cd "$_builddir"
+         make DESTDIR="$pkgdir/" install
+     }
+
+md5sums="4d0bc41411196a81157a72b68736a0f4  termrec-0.17.tar.xz"
+sha256sums="62f02c245b36d9059aef91a70fa8daee7cd946f22eac2947a1204d7bf4e63473  termrec-0.17.tar.xz"
+sha512sums="43b9649b9dfff0b01fc545a388b21341f40667b176b585c160a28efa6b2cde1ef1d60770423c5739d790d6ad2e53ee7f81ad0ab28545d595a442f94d10a52e58  termrec-0.17.tar.xz"
-- 
2.5.1




---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20150915104145.7f1840ac@ncopa-desktop.alpinelinux.org>
In-Reply-To
<alpine.LNX.2.20.1509140850400.7330@st.ilet.to> (view parent)
Sender timestamp
1442306505
DKIM signature
missing
Download raw message
On Mon, 14 Sep 2015 08:51:42 +0000 (UTC)
ScrumpyJack <scrumpyjack@me.com> wrote:

> 
> termrec is a program for recording "videos" of terminal output
> http://angband.pl/termrec.html
> ---
>  testing/termrec/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 42 insertions(+)
>  create mode 100644 testing/termrec/APKBUILD
> 
> diff --git a/testing/termrec/APKBUILD b/testing/termrec/APKBUILD
> new file mode 100644
> index 0000000..2f26a58
> --- /dev/null
> +++ b/testing/termrec/APKBUILD
> @@ -0,0 +1,42 @@
> +# Contributor: ScrumpyJack <scrumpyjack@me.com>
> +# Maintainer:
> +pkgname=termrec
> +pkgver=0.17
> +pkgrel=0
> +pkgdesc="termrec is a program for recording "videos" of terminal output"
> +url="http://angband.pl/termrec.html"
> +arch="all"
> +license="GPL"
> +depends=""
> +depends_dev=""
> +makedepends="zlib-dev"
> +install=""
> +subpackages="$pkgname-dev $pkgname-doc"
> +source="http://prdownloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.xz"
> +options="libtool"

I applied it, but is the usr/lib/libtty.la really needed?

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---